PowerPoint3ParserInternal::State Struct Reference documentation

PowerPoint3ParserInternal::State Struct Reference

Internal: the state of a PowerPoint3Parser. More...

## Public Member Functions
| State ()
| constructor
MWAWEntry const & | getZoneEntry (int id) const
| try to return a zone
bool | getPattern (int id, MWAWGraphicStyle::Pattern &pattern) const
| try to return a pattern

## Static Public Member Functions
static bool | getCustomShape (int id, MWAWGraphicShape &shape)
| returns a custom shape corresponding to an id

## Public Attributes
bool | m_isMacFile
| flag to know if the file is a mac file or a pc file
std::string | m_fontFamily
| the basic pc font family if known
std::shared_ptr< PowerPoint3OLE > | m_oleParser
| the ole parser
long | m_zoneListBegin
| the begin position of the list of zones
std::vector< MWAWEntry > | m_zonesList
| the list of zone entries
std::vector< int > | m_slidesIdList
| the main list of slides id
std::map< int, Slide > | m_idToSlideMap
| a map zoneId to slide
std::map< int, SlideContent > | m_idToSlideContentMap
| a map zoneId to slide content
std::map< int, Scheme > | m_idToSchemeMap
| a map between schemeId and scheme
std::map< int, int > | m_pictIdToZoneIdMap
| a map pictId to picture zone
std::map< int, MWAWEmbeddedObject > | m_idToPictureContentMap
| a map zoneId to picture object
MWAWVec2i | m_origin
| the origin
std::map< int, MWAWColor > | m_idToUserColorMap
| a map between colorId and user color
std::map< int, int > | m_idToFontIdMap
| a map between file id and font id
std::map< int, Ruler > | m_idToRulerMap
| a map between id and paragraph
int | m_printInfoIds [2]
| the printInfo id
int | m_zoneIds [13]
| the sequential zones id
int | m_monoTypeFontId
| the monotype font id
MWAWEntry | m_badEntry
| an entry used by getZoneEntry if it does not find the zone

## Detailed Description

Internal: the state of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ State()

PowerPoint3ParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getCustomShape()

bool PowerPoint3ParserInternal::State::getCustomShape | ( | int | id,
|  | MWAWGraphicShape & | shape )
| static

returns a custom shape corresponding to an id

## ◆ getPattern()

bool PowerPoint3ParserInternal::State::getPattern | ( | int | id,
|  | MWAWGraphicStyle::Pattern & | pattern ) const

try to return a pattern

## ◆ getZoneEntry()

MWAWEntry const & PowerPoint3ParserInternal::State::getZoneEntry | ( | int | id | ) | const
| inline

try to return a zone

## Member Data Documentation

## ◆ m_badEntry

MWAWEntry PowerPoint3ParserInternal::State::m_badEntry

an entry used by getZoneEntry if it does not find the zone

Referenced by getZoneEntry(), and State().

## ◆ m_fontFamily

std::string PowerPoint3ParserInternal::State::m_fontFamily

the basic pc font family if known

Referenced by State().

## ◆ m_idToFontIdMap

std::map<int, int> PowerPoint3ParserInternal::State::m_idToFontIdMap

a map between file id and font id

Referenced by State().

## ◆ m_idToPictureContentMap

std::map<int, MWAWEmbeddedObject> PowerPoint3ParserInternal::State::m_idToPictureContentMap

a map zoneId to picture object

Referenced by State().

## ◆ m_idToRulerMap

std::map<int, Ruler> PowerPoint3ParserInternal::State::m_idToRulerMap

a map between id and paragraph

Referenced by State().

## ◆ m_idToSchemeMap

std::map<int, Scheme> PowerPoint3ParserInternal::State::m_idToSchemeMap

a map between schemeId and scheme

Referenced by State().

## ◆ m_idToSlideContentMap

std::map<int, SlideContent> PowerPoint3ParserInternal::State::m_idToSlideContentMap

a map zoneId to slide content

Referenced by State().

## ◆ m_idToSlideMap

std::map<int, Slide> PowerPoint3ParserInternal::State::m_idToSlideMap

a map zoneId to slide

Referenced by State().

## ◆ m_idToUserColorMap

std::map<int, MWAWColor> PowerPoint3ParserInternal::State::m_idToUserColorMap

a map between colorId and user color

Referenced by State().

## ◆ m_isMacFile

bool PowerPoint3ParserInternal::State::m_isMacFile

flag to know if the file is a mac file or a pc file

Referenced by State().

## ◆ m_monoTypeFontId

int PowerPoint3ParserInternal::State::m_monoTypeFontId

the monotype font id

Referenced by State().

## ◆ m_oleParser

std::shared_ptr<PowerPoint3OLE> PowerPoint3ParserInternal::State::m_oleParser

the ole parser

Referenced by State().

## ◆ m_origin

MWAWVec2i PowerPoint3ParserInternal::State::m_origin

the origin

Referenced by State().

## ◆ m_pictIdToZoneIdMap

std::map<int, int> PowerPoint3ParserInternal::State::m_pictIdToZoneIdMap

a map pictId to picture zone

Referenced by State().

## ◆ m_printInfoIds

int PowerPoint3ParserInternal::State::m_printInfoIds[2]

the printInfo id

Referenced by State().

## ◆ m_slidesIdList

std::vector<int> PowerPoint3ParserInternal::State::m_slidesIdList

the main list of slides id

Referenced by State().

## ◆ m_zoneIds

int PowerPoint3ParserInternal::State::m_zoneIds[13]

the sequential zones id

Referenced by State().

## ◆ m_zoneListBegin

long PowerPoint3ParserInternal::State::m_zoneListBegin

the begin position of the list of zones

Referenced by State().

## ◆ m_zonesList

std::vector<MWAWEntry> PowerPoint3ParserInternal::State::m_zonesList

the list of zone entries

Referenced by getZoneEntry(), and State().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx